package com.nokia.pm_import.pojos.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.time.LocalDateTime;
/**
 * <p>
 * 河北客户体验管理系统移网网络体验明细日信息请求日志
 * </p>
 *
 */
@Getter
@Setter
@ToString
@TableName("cfm.he_d_cem_mobile_experience_list_log")
public class HeDCemMobileExperienceListLogPo {

    /**
     * 账期月
     */
    private String monthId;

    /**
     * 账期日
     */
    private String dayId;

    /**
     * 接口调用是否成功，0否1是
     */
    private String status;

    /**
     * 接口请求参数
     */
    private String request;

    /**
     * 接口响应
     */
    private String response;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 异常信息
     */
    private String exception;
}
