package com.nokia.pm_import;

import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.DataSourceConfig;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;

public class MybatisPlusGeneratorTest {
    public static void main(String[] args) {
        FastAutoGenerator.create(
                new DataSourceConfig.Builder("jdbc:postgresql://192.168.70.172:5432/sqmmt",
                        "sqmdb",
                        "sqmdb_1QAZ").schema("cfm"))
                .globalConfig(builder -> {
                    builder.outputDir("z:/").disableOpenDir();
                })
                .packageConfig(builder -> builder
                        .parent("com.nokia.pm_import")
                        .entity("pojos.po")
                        .mapper("mapper")
                        .service("dao")
                        .serviceImpl("dao.impl")
                        .xml("mapper.xml")
                )
                .strategyConfig(builder -> {
                    builder.addInclude("city_code")
                            .entityBuilder()
                            .disableSerialVersionUID()
                            .formatFileName("%sPo")
                            .enableFileOverride()
                            .enableLombok()
                            .controllerBuilder()
                            .enableFileOverride()
                            .mapperBuilder()
                            .enableFileOverride()
                            .serviceBuilder()
                            .enableFileOverride();
                })
                .templateEngine(new FreemarkerTemplateEngine())
                .execute();
    }
}
