package com.nokia.pm_import.controller;

import com.nokia.pm_import.task.HeDCemMobileExperienceListLogTask;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RequiredArgsConstructor
@RequestMapping("/job")
@RestController
public class JobController {
    private final HeDCemMobileExperienceListLogTask heDCemMobileExperienceListLogTask;

    /**
     * 河北客户体验管理系统移网网络体验明细日信息定时任务
     */
    @GetMapping("/heDCemMobileExperienceListLogTask")
    public Object heDCemMobileExperienceListLogTask(@RequestParam("param") String param) {
        heDCemMobileExperienceListLogTask.runJob(param);
        return "ok";
    }
}
