package com.nokia.pm_import.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nokia.pm_import.pojos.po.HeDCemMobileExperienceListLogPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Set;


/**
 * <p>
 * 河北客户体验管理系统移网网络体验明细日信息请求日志 Mapper 接口
 * </p>
 *
 */
@Mapper
public interface HeDCemMobileExperienceListLogMapper extends BaseMapper<HeDCemMobileExperienceListLogPo> {

    @Select("""
select distinct day_id from cfm.he_d_cem_mobile_experience_list_log where month_id = #{monthId}
""")
    Set<String> getExistsDays(@Param("monthId") String monthId);
}

